Subject: [CCAMP] Framework and Information model for G.709 Optical Transport Networks (OTN) consideration post-IETF82

From: "BELOTTI, SERGIO (SERGIO)" <[email-masked]>
Date: Fri, 25 Nov 2011 09:52:31 +0100

Hi CCAMP,

as outcome of the Framework and Information model for G.709 Optical Transport Networks (OTN)  presentation, Lou Berger asked co-authors to provide a new section in the framework document dealing with backward compatibility, as summary with respect to what is already present/will be present in the  encoding documents.

In our opinion, the first thing to do is deciding which are the scenarios that have to be taken into account.

As hypothesis we would like to consider network element domains  composed either of G.709v1 or G709v3 network elements,
so without having a mix of network element in the same domains. The motivation for this is that operators
would not be happy with the mix because managing control plane versions implementing very different features
is not practical from a network operation point of view.

Please note that backward compatibility issues are to be considered between GMPLS versions. So for G.709v1 NE we mean
a network element with G.709v1 HW and support of RFC4328 only.

The case of a NE with G709v1 HW supporting our GMPLS drafts does not have backward compatibility issues because it can be considered as a new  node with limitations.

Said this the candidate scenarios may be:

1)  Interworking between a G.709v1 domain with a G.709v3 domain (path is terminated by one G.709v1 node and G.709v3  node)

2) Interworking in the case of  a G.709v1 domain - a G.709v3 domain - G709v1 domain (G.709v3 domain in the middle of two G.709v1 domains. The path being terminated on G.709v1 equipment.)

We'd like to hear the opinion of the WG whether CCAMP consider exhaustive the type of scenarios proposed, before proceeding with any modification to the document.

Thanks

Sergio and co-authors

SERGIO BELOTTI

ALCATEL-LUCENT
Terrestrial System Architect
Optics Portfolio Evolution

via Trento 30 , Vimercate(MI)  Italy
T: +39 0396863033
[email-masked]

---

From: John E Drake <[email-masked]>
Date: Mon, 28 Nov 2011 08:53:19 -0800

I would suggest that those folks with deployed G.709v1 networks write an I-D detailing their requirements for an interworking function.

From: [email-masked] [mailto:[email-masked]] On Behalf Of BELOTTI, SERGIO (SERGIO)
Sent: Friday, November 25, 2011 12:53 AM
To: CCAMP
Subject: [CCAMP] Framework and Information model for G.709 Optical Transport Networks (OTN) consideration post-IETF82

Hi CCAMP,

Thanks

Sergio and co-authors

SERGIO BELOTTI

ALCATEL-LUCENT

---

From: Lou Berger <[email-masked]>
Date: Tue, 29 Nov 2011 07:01:45 -0500

Sergio,
	My comment actually comes from two meetings ago and was based on the
routing and signaling drafts each having their own compatibility
sections (sections 6 and 6.5, respectively), and the framework not
having one at all.  As you note, control plane compatibility is
something typically addressed in GMPLS.  I think the framework needs to
cover what approach is being taken to ensure *control plane* operation
when a pre-G709v3 GMPLS node exchanges CP messages with a G709v3 GMPLS
node.  In short, the framework should say *what* is being done with
respect to CP compatibility, the routing and signaling documents should
say *how* CP compatibility is supported.

Note that my request was not about data plane compatibility.

Lou

On 11/25/2011 3:52 AM, BELOTTI, SERGIO (SERGIO) wrote:
> Hi CCAMP,
>  
> as outcome of the Framework and Information model for G.709 Optical
> Transport Networks (OTN) presentation, Lou Berger asked co-authors to
> provide a new section in the framework document dealing with backward
> compatibility, as summary with respect to what is already present/will
> be present in the  encoding documents.
>  
> In our opinion, the first thing to do is deciding which are the
> scenarios that have to be taken into account.
>  
> As hypothesis we would like to consider network element domains 
> composed either of G.709v1 or G709v3 network elements,
> Please note that backward compatibility issues are to be considered
> between GMPLS versions. So for G.709v1 NE we mean
> The case of a NE with G709v1 HW supporting our GMPLS drafts does not
> have backward compatibility issues because it can be considered as a
> new  node with limitations.
>  
> 1)  Interworking between a G.709v1 domain with a G.709v3 domain (path is
> terminated by one G.709v1 node and G.709v3  node)
>  
> 2) Interworking in the case of  a G.709v1 domain – a G.709v3 domain –
> G709v1 domain (G.709v3 domain in the middle of two G.709v1 domains. The
> path being terminated on G.709v1 equipment.)
>  
> We'd like to hear the opinion of the WG whether CCAMP consider
> exhaustive the type of scenarios proposed, before proceeding with any
> modification to the document.
>  
> Thanks
>  
> Sergio and co-authors
>  
>  
> *SERGIO BELOTTI*
>  
> ALCATEL-LUCENT
> [email-masked]*
>  
>  
>  
>  
>  
> 
> 
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Lou Berger <[email-masked]>
Date: Tue, 29 Nov 2011 07:04:34 -0500

John,
	I think the gist of my comment (from 2 meetings ago) got lost.   The WG
needs to ensure that any changes / additions to GMPLS don't break
existing GMPLS implementations.  Please see the message I just sent to
Sergio.

Lou

On 11/28/2011 11:53 AM, John E Drake wrote:
> I would suggest that those folks with deployed G.709v1 networks write an
> I-D detailing their requirements for an interworking function.
> 
>  
> 
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *BELOTTI, SERGIO (SERGIO)
> *Sent:* Friday, November 25, 2011 12:53 AM
> *To:* CCAMP
> *Subject:* [CCAMP] Framework and Information model for G.709 Optical
> Transport Networks (OTN) consideration post-IETF82
> 
>  
> 
> Hi CCAMP,
> 
>  
>

---

From: John E Drake <[email-masked]>
Date: Tue, 29 Nov 2011 05:24:10 -0800

Lou,

My point was that control plane interoperability with G.709v1 is non-trivial and before we start working on it we should know whether anyone wants it.

Thanks,

John 

> -----Original Message-----
> From: Lou Berger [mailto:[email-masked]]
> Sent: Tuesday, November 29, 2011 4:05 AM
> To: John E Drake
> Cc: BELOTTI, SERGIO (SERGIO); CCAMP
> Subject: Re: [CCAMP] Framework and Information model for G.709 Optical
> > would not be happy with the mix because managing control plane
> versions
> > implementing very different features
> >
> > 2) Interworking in the case of  a G.709v1 domain - a G.709v3 domain -

---

From: Lou Berger <[email-masked]>
Date: Tue, 29 Nov 2011 09:15:48 -0500

John,
	Sure, and CP compatibility doesn't need to imply interoperability, and
certainly wasn't intended in the original comment.

Lou

---

From: "BELOTTI, SERGIO (SERGIO)" <[email-masked]>
Date: Wed, 30 Nov 2011 10:29:40 +0100

Lou,
Thanks for clarification , I understood during my presentation that the comment was a remind referred to another past meeting (in which I was not present).
The aim of the mail is trying to understand how to address the "what is being done" that cannot be independent of the type of possible network scenarios. 
We need to understand , particularly from company-people with per-G.709.v3 implementation(John has perfectly pointed out the issue), what could be the typical scenarios to be addressed.
We have tried to set the focus on two out of them, and we'd like to hear from WG the approval or not to work on them.
We cannot start to work before an agreement on that.

Sergio   

-----Messaggio originale-----
Da: Lou Berger [mailto:[email-masked]] 
Inviato: martedì 29 novembre 2011 13.02
A: BELOTTI, SERGIO (SERGIO)
Cc: CCAMP
Oggetto: Re: [CCAMP] Framework and Information model for G.709 Optical Transport Networks (OTN) consideration post-IETF82

Sergio,

Lou

---

From: "BELOTTI, SERGIO (SERGIO)" <[email-masked]>
Date: Wed, 30 Nov 2011 10:32:11 +0100

Thanks John,
You got perfectly the point.

Sergio

-----Messaggio originale-----
Da: John E Drake [mailto:[email-masked]] 
Inviato: martedì 29 novembre 2011 14.24
A: Lou Berger
Cc: BELOTTI, SERGIO (SERGIO); CCAMP
Oggetto: RE: [CCAMP] Framework and Information model for G.709 Optical Transport Networks (OTN) consideration post-IETF82

Lou,

Thanks,

John

---

From: John E Drake <[email-masked]>
Date: Wed, 30 Nov 2011 04:00:08 -0800

You're welcome.

> From: BELOTTI, SERGIO (SERGIO) [mailto:sergio.belotti@alcatel-
> lucent.com]
> Sent: Wednesday, November 30, 2011 1:32 AM
> To: John E Drake
> Cc: CCAMP; Lou Berger
> Subject: R: [CCAMP] Framework and Information model for G.709 Optical
> Oggetto: RE: [CCAMP] Framework and Information model for G.709 Optical
> My point was that control plane interoperability with G.709v1 is non-
> trivial and before we start working on it we should know whether anyone
> wants it.
> 
> Thanks,
> 
> John
> 
> > > I would suggest that those folks with deployed G.709v1 networks
> write
> > an
> > > 1)  Interworking between a G.709v1 domain with a G.709v3 domain
> (path
> > is

---

From: Lou Berger <[email-masked]>
Date: Wed, 30 Nov 2011 07:34:06 -0500

Sergio,
	At a minimum, the solutions draft MUST cover what happens when a
pre-G709v3 (or non-G709v3) GMPLS node exchanges CP messages with a
G709v3 GMPLS node.  For example, what happens when a G709v3 GMPLS node
exchanges messages with a node supporting only LSC or ethernet. You can
even just state something as simple as what's in rfc6002 section 2.1.
This is just a matter of correct protocol behavior and should not be a
"big" deal or discussion.

You seem to also want to cover G.709v1 and G709v3 interoperability.
This is a fine thing to consider, but has nothing to do with the comment.

Lou